Bug 1476753 - file-5.31 fails to detect PGM Netpbm files
Summary: file-5.31 fails to detect PGM Netpbm files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: file
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Cermak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-31 11:16 UTC by Petr Pisar
Modified: 2017-08-08 07:27 UTC (History)
3 users (show)

Fixed In Version: file-5.31-8.fc27.x86_64
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 07:27:46 UTC
Type: Bug


Attachments (Terms of Use)
A PGM file (70.49 KB, application/octet-stream)
2017-07-31 11:16 UTC, Petr Pisar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 976436 0 medium CLOSED file detects netpbm files as ASCII files 2021-02-22 00:41:40 UTC

Internal Links: 976436

Description Petr Pisar 2017-07-31 11:16:50 UTC
Created attachment 1307034 [details]
A PGM file

After upgrading file to 5.31, PGM files are not detected:

$ rpm -q file
file-5.30-8.fc26.x86_64
$ file pgmfile
pgmfile: Netpbm image data, size = 216 x 334, rawbits, greymap

$ rpm -q file
file-5.31-1.fc27.x86_64
$ file pgmfile 
pgmfile: ASCII text

This is still issue with latest file-5.31-5.fc27.x86_64.

Comment 1 Marek Cermak 2017-08-08 07:27:46 UTC
Fixed in rawhide:

$ rpm -q file
file-5.31-8.fc27.x86_64
$ file mandrill.pgm
mandrill.pgm: Netpbm image data, size = 512 x 512, rawbits, greymap


Note You need to log in before you can comment on or make changes to this bug.